Bug 1092212 - CVE-2014-0471 dpkg: path traversal when unpacking a source package [epel-all]
CVE-2014-0471 dpkg: path traversal when unpacking a source package [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: dpkg (Show other bugs)
el6
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-0471
  Show dependency treegraph
 
Reported: 2014-04-28 22:38 EDT by Murray McAllister
Modified: 2015-05-14 02:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: dpkg-1.16.16-5.el7
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-14 02:29:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-04-28 22:38:34 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Murray McAllister 2014-04-28 22:38:53 EDT
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1092210,1092212
Comment 3 Sergio Monteiro Basto 2015-04-19 16:51:27 EDT
Hi, I can't update epel6 because dpkg needs gettext-0.18 [1] when epel6 only have  gettext-0.17 

What we do in these cases ? 



[1] 
autopoint: *** The AM_GNU_GETTEXT_VERSION declaration in your configure.ac               file requires the infrastructure from gettext-0.18 but this version               is older. Please upgrade to gettext-0.18 or newer.
Comment 4 Fedora Update System 2015-04-20 18:41:29 EDT
dpkg-1.16.16-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dpkg-1.16.16-1.el7
Comment 5 Fedora Update System 2015-04-21 01:01:39 EDT
dpkg-1.16.16-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dpkg-1.16.16-2.el6
Comment 6 Fedora Update System 2015-04-22 01:07:40 EDT
Package dpkg-1.16.16-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dpkg-1.16.16-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-5901/dpkg-1.16.16-2.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-04-25 23:40:03 EDT
dpkg-1.16.16-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dpkg-1.16.16-5.el6
Comment 8 Fedora Update System 2015-04-25 23:41:32 EDT
dpkg-1.16.16-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dpkg-1.16.16-5.el7
Comment 9 Fedora Update System 2015-05-14 02:29:11 EDT
dpkg-1.16.16-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-05-14 02:30:02 EDT
dpkg-1.16.16-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.